# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate aws-lc-rs

Name:           rust-aws-lc-rs
Version:        1.13.0
Release:        %autorelease
Summary:        Cryptographic library using AWS-LC for its cryptographic operations

License:        ISC AND (Apache-2.0 OR ISC)
URL:            https://crates.io/crates/aws-lc-rs
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop features and dependencies for using aws-lc with FIPS support
# * drop features and dependencies for building aws-lc with ASAN
# * drop features and dependencies for using prebuilt object files
# * bump untrusted dependency from 0.7 to 0.9
# * relax version ranges for dev-dependencies
Patch:          aws-lc-rs-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Aws-lc-rs is a cryptographic library using AWS-LC for its cryptographic
operations. This library strives to be API-compatible with the popular
Rust library named ring.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+aws-lc-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+aws-lc-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "aws-lc-sys" feature of the "%{crate}" crate.

%files       -n %{name}+aws-lc-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+non-fips-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+non-fips-devel %{_description}

This package contains library source intended for building other packages which
use the "non-fips" feature of the "%{crate}" crate.

%files       -n %{name}+non-fips-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ring-io-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ring-io-devel %{_description}

This package contains library source intended for building other packages which
use the "ring-io" feature of the "%{crate}" crate.

%files       -n %{name}+ring-io-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ring-sig-verify-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ring-sig-verify-devel %{_description}

This package contains library source intended for building other packages which
use the "ring-sig-verify" feature of the "%{crate}" crate.

%files       -n %{name}+ring-sig-verify-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test_logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test_logging-devel %{_description}

This package contains library source intended for building other packages which
use the "test_logging" feature of the "%{crate}" crate.

%files       -n %{name}+test_logging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * data files required by most tests are not included in published crates
%cargo_test -- --doc -- --skip "src/signature.rs"
%endif

%changelog
%autochangelog
